Bug 170128 - need dependency-resolving classpath-creation script
Summary: need dependency-resolving classpath-creation script
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: jpackage-utils (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Rodney Russ
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-07 16:21 UTC by Thomas Fitzsimmons
Modified: 2011-06-30 07:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-30 07:34:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JPackage 172 None None None Never

Description Thomas Fitzsimmons 2005-10-07 16:21:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
Currently build-classpath requires you to specify the transitive closer of jars required by a given program.  The calculation of dependency jars should be done automatically instead.

We've considered two sources for the dependency information used by the script: 1) the RPM database and 2) autogenerated dependency data files installed by each package.

Such a script would be useful both on the command line, but also in RPM spec files and possibly even within Eclipse (e.g. we could add an "autogenerate classpath" button to Eclipse's "Add Jars" dialog).  A further improvement to the script could be the ability to point it at a java source tree and have it caculate the required build classpath.  Likewise for a jar file (though I'm not sure how doable that is).  The ultimate step would be to build this classpath generation into the java command itself, and so eliminate classpath munging altogether (again, I'm not sure this is possible in the general case).

For now though, we should focus on extending build-classpath so that only the direct dependencies of a given program must be specified, and indirect dependencies will be auto-resolved.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. try building a complex classpath

Additional info:

Comment 1 John Poelstra 2008-07-08 03:49:16 UTC
Is this bug still relevant?

Comment 2 Red Hat Bugzilla 2008-07-25 01:03:44 UTC
Adding patrickm@redhat.com to the cc list as the manager of the disabled user fitzsim@redhat.com who reported this bug

Comment 4 Alexander Kurtakov 2011-06-30 07:34:50 UTC
This bug has stayed opened for far too long and I don't see it happenning. Not to mention the technical difficulties to properly calculate the classpath with reflections and etc. Once there is a proper java modules system this will be achievable.
Closing as wontfix.


Note You need to log in before you can comment on or make changes to this bug.